glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.ValueType System.IDisposable An arbitrary data type similar to a CORBA Any which is used to get and set properties on Objects.
- Constructor
  2.12.0.0
  To be added.
  Public constructor.
  Constructs a native GValue from an interface adapter object, wrapping its underlying managed interface.
- Constructor
  2.12.0.0
  a
  Constructs an initialized value for a given type.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified object.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified boolean.
- Constructor
  2.12.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified double.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified integer.
- Constructor
  2.12.0.0
  a
  Constructs a value for a 64 bit integer.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified pointer.
- Constructor
  2.12.0.0
  a
  Constructs a Value from any object, including a managed type.
- Constructor
  2.12.0.0
  To be added.
  To be added.
  To be added.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified float.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified string.
- Constructor
  2.12.0.0
  a
  Constructs a Value from a specified string array.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified ushort.
- Constructor
  2.12.0.0
  an object of type
  Constructs a Value from a specified uint.
- Constructor
  2.12.0.0
  a
  Constructs a value for a 64 bit unsigned integer.
- Constructor
  2.12.0.0
  System.Obsolete("Replaced by Value(object) constructor")
  an value
  the (C/GType) name of 's type
  Constructs a Value from an object of a given type
- Constructor
  2.12.0.0
  a
  a
  Constructs a value initialized for a given property name.
- Constructor
  2.12.0.0
  an object
  the (C/GType) name of 's type
  Constructs a Value from an object of a given type
- Constructor
  2.12.0.0
  System.Obsolete
  a
  a
  a
  Constructs a value initialized to a given enumerated type property.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  a
  a
  Constructs a value for an Opaque type.
- Method
  2.12.0.0
  System.Void Disposes the underlying value
- Field
  2.12.0.0
  GLib.Value An unitialized value.
- Method
  2.12.0.0
  System.Void `` a Initializes a value to a given type.
- Method
  2.12.0.0
  GLib.Boxed `` a Extracts a boxed type value from a . The boxed type value.
- Method
  2.12.0.0
  System.Obsolete("Replaced by Enum cast")
  GLib.EnumWrapper `` a Extracts an enumeration value from a . The enumeration value.
- Method
  2.12.0.0
  GLib.Object `` a Extracts an object value from a . The object value.
- Method
  2.12.0.0
  GLib.Opaque `` a Extracts an opaque object value from a . The opaque object value.
- Method
  2.12.0.0
  System.Obsolete("Replaced by GLib.Object cast")
  GLib.UnwrappedObject `` a Extracts an unwrapped object value from a . The unwrapped object value.
- Method
  2.12.0.0
  System.Boolean `` a Extracts a boolean value from a . The boolean value.
- Method
  2.12.0.0
  System.Byte `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Double `` a Extracts a double-precision floating-point value from a . The double-precision floating-point value.
- Method
  2.12.0.0
  System.Enum `` a Extracts an enum value from a . The enum value. Note that casting a to any enum type will invoke this operator.
- Method
  2.12.0.0
  System.Int32 `` a Extracts an integer value from a . The integer value.
- Method
  2.12.0.0
  System.Int64 `` a Extracts a long integer value from a . The long integer value.
- Method
  2.12.0.0
  System.IntPtr `` a Extracts an untyped pointer value from a . The untyped pointer value.
- Method
  2.12.0.0
  System.SByte `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Single `` a Extracts a floating-point value from a . The floating-point value.
- Method
  2.12.0.0
  System.String `` a Extracts a string value from a . The string value.
- Method
  2.12.0.0
  System.String[] `` a Extracts a string array from a . The string array value.
- Method
  2.12.0.0
  System.UInt16 `` a Extracts an unsigned short value from a . The unsigned short value.
- Method
  2.12.0.0
  System.UInt32 `` a Extracts an unsigned integer value from a . The unsigned integer value.
- Method
  2.12.0.0
  System.UInt64 `` a Extracts an unsigned long integer value from a . The unsigned long integer value.
- Property
  2.12.0.0
  System.Object Accesses the value. a